Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 287658 - Stable =sys-fs/lvm2-2.02.51-r1
Summary: Stable =sys-fs/lvm2-2.02.51-r1
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 284744
Blocks:
  Show dependency tree
 
Reported: 2009-10-04 18:28 UTC by Samuli Suominen
Modified: 2009-12-15 15:25 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2009-10-04 18:28:40 UTC
required for the udev/util-linux/e2fsprogs/hal/... bug combo.
Comment 1 Tobias Klausmann gentoo-dev 2009-10-04 18:31:39 UTC
Stable on alpha
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2009-10-21 08:31:46 UTC
Stable for HPPA.
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2009-11-09 12:06:54 UTC
x86 stable
Comment 4 Brian Hales 2009-11-25 08:04:03 UTC
(In reply to comment #3)
> x86 stable
Failed to compile on my x86. Thus, I would say this is not x86 stable.

[ebuild  N    ] sys-fs/lvm2-2.02.51-r1  USE="lvm1 readline static -clvm (-cman) (-selinux)" 0 kB

Portage 2.1.6.13 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r8 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r8-i686-Intel-R-_Pentium-R-_4_CPU_2.53GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 23 Nov 2009 01:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.2-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.ecc.u-tokyo.ac.jp/GENTOO http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US en ja"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync5.jp.gentoo.org/gentoo-portage"
USE="32bit X acl alsa anthy aspell bash-completion berkdb bzip2 cdr cjk cli cracklib crypt cups dbus doc dri examples firefox fontconfig fortran gdbm gpm hal iconv immqt-bc jadetex jpeg kpathsea latex m17n-lib minimal mmx modules mozilla mpeg mplayer mudflap ncurses nls nocd nptl nptlonly openmp pam pcre pdf perl png ppds pppd python readline reflection scim session spell spl sse sse2 ssl symlink sysfs syslog tcpd truetype unicode vim-syntax x86 xcb xorg zlib" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LINGUAS="en_US en ja" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 5 BigBug 2009-11-26 10:55:00 UTC
Also can't compile on the x86. Problems with libdevmapper-event
Comment 6 edoceo 2009-11-28 07:44:13 UTC
This builds ok for me on i686.

[ebuild   R   ] sys-fs/lvm2-2.02.51-r1  USE="-clvm (-cman) -lvm1 readline (-selinux) static" 0 kB

Portage 2.1.6.13 (default/linux/x86/10.0/desktop, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r5-i686-AMD_Athlon-tm-_Dual_Core_Processor_4050e-with-gentoo-1.12.13
Timestamp of tree: Wed, 25 Nov 2009 17:30:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p28
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --nospinner"
FEATURES="distlocks fixpackages nodoc noinfo noman parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://cdn.edoceo.com/element/"
USE="X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups dbus dri dts dvd dvdr eds emboss encode evo fam firefox flac fortran gdbm gif gpm gstreamer gtk hal iconv ipv6 jpeg ldap libnotify lock mad mikmod modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support quicktime readline reflection sdl session spell spl ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb vorbis win32codecs x264 x86 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

Comment 7 Raúl Porcel (RETIRED) gentoo-dev 2009-11-28 16:36:14 UTC
ia64/sparc stable
Comment 8 Joe Jezak (RETIRED) gentoo-dev 2009-11-29 22:12:11 UTC
Marked ppc/ppc64 stable.
Comment 9 Dawid Węgliński (RETIRED) gentoo-dev 2009-11-29 22:19:26 UTC
It fails on fresh install causing mess on #gentoo* support channels. Not sure why you mark it stable before fixing bugs like bug #293272.
Comment 10 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-29 23:46:57 UTC
(In reply to comment #9)
> It fails on fresh install causing mess on #gentoo* support channels. Not sure
> why you mark it stable before fixing bugs like bug #293272.
cla:
1. The stablereq was filed in October, long before bug 293272.
2. That bug only triggers if you do NOT have any LVM/DM installed and you happen to hit the right timing for the parallel make failure.

Anyway, it should be fixed in -r3 now. I'm waiting for test feedback, and then I'll update this bug for stabilizing -r3.
Comment 11 Fire Crow 2009-11-30 20:41:26 UTC
(In reply to comment #10)
I have this issue on a fresh install of i686...

what can I do to fix it? how can I install an LVM/DM as mentioned in an earlier post?

Comment 12 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-30 21:06:38 UTC
(In reply to comment #11)
> what can I do to fix it? how can I install an LVM/DM as mentioned in an earlier
> post?
Just emerge .51-r3 and see that your system works.

Comment 13 Fire Crow 2009-11-30 21:52:40 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > what can I do to fix it? how can I install an LVM/DM as mentioned in an earlier
> > post?
> Just emerge .51-r3 and see that your system works.
> 

My emerge can't find .51-r3 is in the repo, do I need to set up a development repo?

~ $sudo emerge -av '=sys-fs/lvm2-2.02.51-r3'

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "=sys-fs/lvm2-2.02.51-r3".

Comment 14 Dawid Węgliński (RETIRED) gentoo-dev 2009-11-30 22:55:40 UTC
(In reply to comment #13)
> My emerge can't find .51-r3 is in the repo, do I need to set up a development
> repo?

Just emerge --sync.

(In reply to comment #10)

Thanks robbat2. I know this stablereq was filed long before and i also know it's hard to find such a bug, especially because most of arch team members just upgrade their systems and don't stabilize on fresh installs. It's all ok.

-r3 builds fine on x86, feel free to request for stabilization.
Comment 15 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-12-01 00:23:41 UTC
I'm probably going to ask for .56-r1, as I've got some other libdevicemapper changes in there. Just going to wait a week probably first.
Comment 16 Samuli Suominen gentoo-dev 2009-12-07 11:15:36 UTC
amd64 stable
Comment 17 Oleg Gawriloff 2009-12-11 08:51:33 UTC
It seems that you stabilize it too early because it no longer depends on device-mapper (from lvm2-2.02.45 (09 Apr 2009)) but parted still depends on it.

So when upgrading we have:
[ebuild     U ] sys-fs/lvm2-2.02.51-r1 [2.02.36]
[blocks B     ] <sys-fs/lvm2-2.02.45 ("<sys-fs/lvm2-2.02.45" is blocking sys-fs/udev-146-r1)
[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-146-r1)
[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/lvm2-2.02.51-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.
  ('ebuild', '/', 'sys-fs/lvm2-2.02.51-r1', 'merge') pulled in by
    >=sys-fs/lvm2-2.02.45 required by ('installed', '/', 'sys-apps/parted-1.8.8', 'nomerge')
    sys-fs/lvm2 required by world
Comment 18 Samuli Suominen gentoo-dev 2009-12-11 09:52:58 UTC
(In reply to comment #17)
> It seems that you stabilize it too early because it no longer depends on
> device-mapper (from lvm2-2.02.45 (09 Apr 2009)) but parted still depends on it.

Untrue. 

USE device-mapper in parted allows both lvm2 and device-mapper installed.

Comment 19 Oleg Gawriloff 2009-12-11 10:05:45 UTC
(In reply to comment #18)
> (In reply to comment #17)
> > It seems that you stabilize it too early because it no longer depends on
> > device-mapper (from lvm2-2.02.45 (09 Apr 2009)) but parted still depends on it.
> 
> Untrue. 
> 
> USE device-mapper in parted allows both lvm2 and device-mapper installed.
> 

Why then I cannot upgrade?
barzog@albatros2 ~ $ sudo emerge -uDNa world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] app-shells/bash-4.0_p35 [4.0_p28] USE="-mem-scramble%"
[ebuild     U ] net-misc/ntp-4.2.4_p7-r1 [4.2.4_p7]
[ebuild     U ] sys-devel/libtool-2.2.6b [2.2.6a]
[ebuild     U ] dev-libs/popt-1.15 [1.14]
[ebuild     U ] sys-libs/e2fsprogs-libs-1.41.9 [1.41.3-r1]
[ebuild     U ] sys-apps/util-linux-2.16.1 [2.14.2] USE="perl%*"
[ebuild     U ] sys-fs/e2fsprogs-1.41.9 [1.41.3-r1]
[blocks b     ] <sys-fs/e2fsprogs-1.41.8 ("<sys-fs/e2fsprogs-1.41.8" is blocking sys-libs/e2fsprogs-libs-1.41.9, sys-apps/util-linux-2.16.1)
[ebuild     U ] sys-fs/mdadm-3.0 [2.6.8]
[ebuild     U ] sys-fs/udev-146-r1 [141] USE="devfs-compat%* -extras%"
[ebuild     U ] sys-fs/lvm2-2.02.51-r1 [2.02.36]
[blocks B     ] <sys-fs/lvm2-2.02.45 ("<sys-fs/lvm2-2.02.45" is blocking sys-fs/udev-146-r1)
[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-146-r1)
[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/lvm2-2.02.51-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-fs/udev-146-r1', 'merge') pulled in by
    sys-fs/udev required by ('installed', '/', 'sys-kernel/vanilla-sources-2.6.30.10', 'nomerge')
    virtual/dev-manager required by world

  ('ebuild', '/', 'sys-fs/lvm2-2.02.51-r1', 'merge') pulled in by
    >=sys-fs/lvm2-2.02.45 required by ('installed', '/', 'sys-apps/parted-1.8.8', 'nomerge')
    sys-fs/lvm2 required by world


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

barzog@albatros2 ~ $ emerge --info
Portage 2.1.6.13 (default/linux/amd64/10.0/no-multilib, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.30.10 x86_64)
=================================================================
System uname: Linux-2.6.30.10-x86_64-Intel-R-_Xeon-R-_CPU_5110_@_1.60GHz-with-gentoo-1.12.13
Timestamp of tree: Thu, 10 Dec 2009 23:30:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.4
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.6.3, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=nocona"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=nocona"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://falcon-cl4.telecom.by:8080/admin/gentoo/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="en ru"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/matsuu /usr/local/portage"
SYNC="rsync://falcon-cl4.telecom.by/gentoo-portage"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm iconv mmx modules mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl sse sse2 ssl sysfs tcpd unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 20 Oleg Gawriloff 2009-12-15 15:25:55 UTC
(In reply to comment #18)
> (In reply to comment #17)
> > It seems that you stabilize it too early because it no longer depends on
> > device-mapper (from lvm2-2.02.45 (09 Apr 2009)) but parted still depends on it.
> 
> Untrue. 
> 
> USE device-mapper in parted allows both lvm2 and device-mapper installed.
> 
After recompling parted without device-mapper, uninstall device-mapper itself all goes well. So the problem is still exists.